Subject: RE: bug#6117: 24.0.50; dired-marked-face same as dired-flagged-face

From: "Drew Adams" <[email-masked]>
Date: Thu, 6 May 2010 08:20:46 -0700

> Agreed.  And while there, please fix the docstrings so they say more
> clearly what's different about "flagged vs marked".

Yes, thanks. 

Some Emacs doc and source-code comments refer to deletion flags as "marks"
(which they are), so it helps to always specifically say "flagged for deletion"
instead of just "flagged".

Then any ambiguity will arise only wrt the terms "marked" or (more likely)
"mark", and that needs to be taken care of contextually. For example, Dired lets
you use `* c' to change "marks", and in that context the `D' flag is considered
a mark.

Always associating "flag" with "deletion" will go a long way to making things
clear.